local tencent_cos = {}
tencent_cos.__index = tencent_cos

--[[
    创建一个新的 tencent_cos 对象
    @return 返回一个新的 tencent_cos 对象
]]
function tencent_cos.new(db)
    local instance = setmetatable({}, tencent_cos)
    if db == nil then
        instance.module = fw_tencent_cos.new()
    else
        instance.module = db    
    end
    
    return instance
end


function tencent_cos:upfile(appid,endpoint,access_key_id, access_key_secret,bucket_name,object_name,filename)
    return self.module:upfile(appid,endpoint,access_key_id, access_key_secret,bucket_name,object_name,filename)
end
function tencent_cos:self()
    return self.module:self()
end

return tencent_cos
